Page MenuHomePhabricator

rename holmium to labservices1002
Closed, ResolvedPublic

Description

after T106584 is resolved, server "holmium" should be renamed to labservices1002

Details

Event Timeline

Dzahn created this task.Jul 19 2015, 9:54 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added projects: Cloud-VPS, acl*sre-team.
Dzahn added a subscriber: Dzahn.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJul 19 2015, 9:54 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald Transcript
RobH renamed this task from rename holmium to labdns1002 to rename holmium to labservices1002.Sep 29 2015, 4:24 PM
RobH closed subtask T106147: New server: labservices1001 as Resolved.
RobH updated the task description. (Show Details)
RobH set Security to None.
Andrew claimed this task.Nov 20 2015, 7:54 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 20 2015, 7:54 PM

Change 254463 had a related patch set uploaded (by Andrew Bogott):
Rename holmium to labservices1002.

https://gerrit.wikimedia.org/r/254463

Change 254464 had a related patch set uploaded (by Andrew Bogott):
Switch primary designate host to labservices1001.

https://gerrit.wikimedia.org/r/254464

Change 254465 had a related patch set uploaded (by Andrew Bogott):
Rename holmium to labservices1002.

https://gerrit.wikimedia.org/r/254465

Change 254464 merged by Andrew Bogott:
Switch primary designate host to labservices1001.

https://gerrit.wikimedia.org/r/254464

Change 254489 had a related patch set uploaded (by Andrew Bogott):
Switch primary designate host to labservices1001.

https://gerrit.wikimedia.org/r/254489

Change 254463 abandoned by Andrew Bogott:
Rename holmium to labservices1002.

https://gerrit.wikimedia.org/r/254463

Change 254489 merged by Andrew Bogott:
Switch primary designate host to labservices1001

https://gerrit.wikimedia.org/r/254489

Change 254792 had a related patch set uploaded (by Andrew Bogott):
labs_designate_hostname: "labservices1001.wikimedia.org"

https://gerrit.wikimedia.org/r/254792

Change 254792 merged by Andrew Bogott:
labs_designate_hostname: "labservices1001.wikimedia.org"

https://gerrit.wikimedia.org/r/254792

Change 254808 had a related patch set uploaded (by Andrew Bogott):
Consolidate holmium.yaml and holmium1001.yaml

https://gerrit.wikimedia.org/r/254808

Change 254808 merged by Andrew Bogott:
Consolidate holmium.yaml and holmium1001.yaml

https://gerrit.wikimedia.org/r/254808

labservices1001 is now the primary host; it should be safe to reboot/reinstall/rename holmium at any time.

Change 255047 had a related patch set uploaded (by Andrew Bogott):
Rename holmium to labservices1002.

https://gerrit.wikimedia.org/r/255047

Change 255393 had a related patch set uploaded (by Andrew Bogott):
Labs instances: Exchange the order of the primary/secondary dns recursors.

https://gerrit.wikimedia.org/r/255393

Change 255393 merged by Andrew Bogott:
Labs instances: Exchange the order of the primary/secondary dns recursors.

https://gerrit.wikimedia.org/r/255393

Change 255411 had a related patch set uploaded (by Andrew Bogott):
Labs resolv.conf: don't sort the array of resolvers.

https://gerrit.wikimedia.org/r/255411

Change 255411 merged by Andrew Bogott:
Labs resolv.conf: don't sort the array of resolvers.

https://gerrit.wikimedia.org/r/255411

chasemp triaged this task as Medium priority.Nov 30 2015, 4:36 PM
chasemp added a subscriber: chasemp.
Luke081515 moved this task from Triage to In Progress on the Cloud-Services board.Mar 25 2016, 4:13 PM

Mentioned in SAL [2016-05-23T18:25:46Z] <andrewbogott> temporarily turning off pdns and recursor on holmium (https://phabricator.wikimedia.org/T106303)

Change 255047 merged by Andrew Bogott:
Rename holmium to labservices1002.

https://gerrit.wikimedia.org/r/255047

Change 254465 merged by Andrew Bogott:
Rename Holmium to labservices1002

https://gerrit.wikimedia.org/r/254465

Mentioned in SAL [2016-05-25T09:02:52Z] <volans> Apply grant for tendril on labservices1002 T106303

Volans added a subscriber: Volans.May 25 2016, 9:24 AM

I've applied the tendril grant from /etc/mysql/production-grants.sql (and only that one) required to have tendril monitor this host and added the host under tendril monitoring:
https://tendril.wikimedia.org/host/view/labservices1002.wikimedia.org/3306

I've also disabled and removed holmium from tendril.

Andrew closed this task as Resolved.Jun 14 2016, 6:02 PM